PHP is among the most commonly used open-source programming languages. It’s very popular because it is free software, which you can use to create responsive websites like social networking sites, shopping portals or e-learning portals instead of static HTML websites. A PHP module must be enabled on the server where a PHP-driven site is hosted so that its code can be read. As there aren’t any license taxes for this sort of module and the language offers innumerable possibilities for the web applications that you set up, there’re 100s of millions of PHP-driven websites. Plus, there’re lots of open-source PHP scripts, which you can use for your websites without needing to have any coding skills. Since there’re a handful of versions of PHP, you must make certain that the very same version that you used while creating your site is activated on the server too.

PHP 4 and PHP 5 Support in Shared Hosting

Our shared hosting servers support different PHP versions, which means that your sites will run flawlessly even if your PHP scripts are out of date. We know that an old website doesn’t necessarily imply an insecure one as you may have implemented lots of code modifications. That is the reason why we support PHP 4, 5.2, 5.3, 5.4 and 5.5 and you can choose which one will be enabled for your account. The version can be changed with just one click through your Hepsia Control Panel and the update will take effect immediately. If you wish to run both newer and older scripts, there’s even a possibility to use a different version of PHP for each domain name of yours at the same time.

PHP 4 and PHP 5 Support in Semi-dedicated Servers

In case you’ve got a website built with an older version of PHP and you have contributed time and energy towards setting it up, filling safety breaches and appending content, you will need a web hosting service that can support it, since most web hosting vendors nowadays offer support only for the most recently launched version of PHP and remove the older ones. We, on the other hand, have decided to permit you to select the version that your own websites need. Our Linux semi-dedicated servers support multiple versions of PHP 5 and PHP 4, which means that you will be able to run both newer and older scripts without losing any customizations or misspending time and efforts trying to make your sites compatible with the hosting platform. You can change the version via the Hepsia Control Panel and such a change will affect the entire semi-dedicated server account, but you’ll also be able to select a different PHP version for each single website hosted in your account by using an .htaccess config file.